v4.0.48 - 2023-06-08
--------------------

### Fonctionnalités/améliorations ###
- Critères de recherche - Géo - « Z plus petit », « Z plus grand »
- Fiche : affichage des coordonnées des points

### Technique ###
- arrondi et arrondi en z par défaut pour chaque système de référence spatiale
- ne pas mettre le journal de débogage dans le répertoire projet sous Debian
- correction de type mime pour settings.js


v4.0.47 - 2023-06-08
--------------------

### Technique ###
- amélioration des post-traitements après import
- nombreuses corrections (ou potentielles corrections) dans les templates (localisation inappropriée) (#5594)


v4.0.46 - 2023-05-26
--------------------

### Fonctionnalités/améliorations ###
- Communes/zones géographiques :
    - attachement de documents
    - mise en place de fiches
    - liens depuis les autres fiches vers les fiches communes/zones géographiques

### Corrections de dysfonctionnements ###
- recalcul du poids d'un contenant lorsque du mobilier en est retiré (refs #5470)

### Technique ###
- JS : correction UnitWidget (localisation inappropriée)
- correction du HTML de la page d'import (localisation inappropriée)


v4.0.45 - 2023-05-15
--------------------

### Fonctionnalités/améliorations ###
- Administration : affichage des sous-catégories amélioré (en couleur)
- Document - modification par lot: modification des étiquettes (refs #5415)

### Corrections de dysfonctionnements ###
- Correction de la recherche commune pour les lieux de conservation et les organisations
- Correction de la recherche contenant pour les documents

### Technique ###
- Migration de la bibliothèque font-awesome -> fork-awesome
- JS inline migré vers un settings.js dynamique pouvant être mis en cache
- Import contenants : éviter le crash si le type de contenant est vide
- Commande media_find_missing_files: ajout des options set-alt-media-dir pour faire des liens de media manquants depuis un répertoire alternatif et set-empty-image pour créer des liens vers des images factices pour les images manquantes


v4.0.44 - 2023-04-17
--------------------

### Fonctionnalités/améliorations ###
- Affichage d'un journal des modifications avec affichage d'alerte lors de mises à jour
- Contenants : gestion de l'historique
- Sécurité:
    - Gestion de l'expiration des mots de passe
    - Gestion d'une politique de mot de passe fort (possibilité de forcer des classes de caractères).
    - Ajout de validateurs d'authentification par défaut pour les changements de mots de passe
    - Expiration de session configurée à 5 jours par défaut
    - Sécurisation optionnelle (désactivé par défaut) des tentatives de connexion : traçage, blocage de compte après multiples erreurs de connexion.

### Corrections de dysfonctionnements ###
- Champs Json : correction d'une mauvaise sauvegarde de valeurs multiples
- Fiches : correction de l'affichage de l'historique avec la géographie associée
- Contenants : suppression de la recherche par division
- Détail de l'image : ne pas afficher le lien Modifier lorsqu'il n'est pas pertinent (#5438)
- Correction du libellé français pour les types de géographie (#5577)
- Correction des permissions pour les demandes de traitements (#5441)
- Mise à jour en cascade des contenants lors de modifications des lieux de conservation

### Technique ###
- Refactorisation des tâches de chargement - gestion de la régénération de l'identifiant externe avec les tâches
- Mise à jour et correction des traductions (#5578, #5579, #5581)
- Export d'importeur : correction de l'appel au `pre_importer`
- Utilisation d'une longueur de sel de 128 bits pour le hachage des mots de passe
- Marquage de faux problèmes de sécurité détectés par l'outil « bandit »
- Correction de problèmes de sécurité de faible gravité

v4.0.43 - 2023-03-17
--------------------

### Fonctionnalités/améliorations ###
- Modèle : ajout d'un historique pour les documents et les contenants
- Menu :
    - Suppression de l'entrée « Administration »
    - Gestion des comptes déplacé dans l'entrée « Annuaire »
    - Les variables globales sont maintenant seulement éditables dans l'administration Django
- Imports : amélioration de la détection des mauvais codages de caractères
- Critères de recherche :
    - Ajout du critère « créé avant/après »
    - Opération : ajout du critère « ancien code »
    - Opérations et sites : ajout du critère « vestiges »
    - Compte : ajout du critère « type de profil »
    - Unité d'enregistrement : ajout des critères « identification » et « activité »
- Recherche en texte libre :
    - Amélioration de la recherche sur les chaînes accentuées
    - Ajout de la configuration d'un thésaurus dédié `french_archeo`
    - Dossier : indexation de la référence `année-index`
- Fiche :
    - Document : amélioration de l'affichage pour les fichiers
    - Demande de traitement : ajout d'une image associée et d'une liste de documents
- Configuration : ajout de message personnalisé en bas de page
- Message explicite sur la suppression du contenant associé lors de la suppression d'un lieu de conservation
- Acte administratif : ajout d'un avertissement lors de la suppression d'un élément associé
- Utilisation d'une police avec empattement pour les balises `<pre>` (utilisée notamment pour les descriptions)
- Administration Django :
    - Ajout d'en-têtes de sous-section pour clarifier les modules
    - Variable globale : édition depuis le tableau, ajout de l'import/export en CSV/JSON
    - Imports : enregistrer automatiquement les « types de modèles » en export JSON
- Geographie : ajout des tuiles IGN par défaut
- Site : action rapide pour la création d'une opération virtuelle à partir d'un site avec de nombreuses opérations
- Interface utilisateur :
    - En-tête de fiche - ajout d'une flèche pour signifier la possibilité de replier la fiche
    - Bouton pour afficher/masquer le mot de passe lors de la connexion
- Formulaires :
    - Formulaire personnalisé - possibilité d'ajouter un message d'en-tête

### Corrections de dysfonctionnements ###
- Recherche :
    - Correction des recherches par critères (en particulier recherche en exclusion et recherche cumulant plusieurs critères)
    - Document : le type de source est maintenant une recherche hiérarchique
- Formulaire mobilier : suppression de la vérification de cohérence TAQ/TPQ
- Fiche :
    - Ne pas afficher la liste des éléments géographiques lorsque la cartographie est désactivée
    - Traitement, demande de traitement : correction de l'affichage (mauvais lien avec le QR-code)
    - Opération : correction des statistiques sur le nombre de parcelles
    - Panier : affichage des partages par ordre alphabétiques
- Dossier : retrait de l'action d'édition du plan d'intervention lorsque  le module « opérateur préventif » est désactivé dans le profil 

### Technique ###
- Général :
    - Ajout d'une configuration personnalisée de libellé en cache pour chaque élément principal
    - Ajout d'un champ `created` sur les éléments principaux afin de faciliter les requêtes
- Paramètres : ajout de `ISHTAR_SECURE_OPTIONS` pour activer les options sécurisées de Django
- Geographie : nouvelle version openlayers
- Scripts de maintenance : suppression des scripts obsolètes et migration vers `ishtar_maintenance`


v4.0.42 - 2023-01-25
--------------------

### Fonctionnalités/améliorations ###
- Traitement: amélioration de la présentation - ajout de liens détaillés

### Technique ###
- Imports : formatage complexe des formules
- Installation : correction du script d'installation pour permettre la personnalisation du port et de l'hôte de la base de données
